sbsigntool: add kernel signing command (sign-file)

Bug #1579766 reported by Andy Whitcroft on 2016-05-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sbsigntool (Ubuntu)
High
Andy Whitcroft
Precise
Undecided
Unassigned
Trusty
High
Andy Whitcroft
Wily
Medium
Andy Whitcroft
Xenial
Medium
Andy Whitcroft
Yakkety
High
Andy Whitcroft

Bug Description

We need launchpad to have access to the kernel module signing command (sign-file). Add this to the sbsigntool package.

Andy Whitcroft (apw) wrote :

We need this for sure in Y and P.

Changed in sbsigntool (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbsigntool - 0.6-0ubuntu11

---------------
sbsigntool (0.6-0ubuntu11) yakkety; urgency=medium

  * debian/patches/ubuntu-kernel-module-signing.patch: add signing support
    programs for Ubuntu archive signing. (LP: #1579766)
  * tests: disable PIE mode when building examples for signing.
  * src/image.c: ensure we zero image objects on allocation.

 -- Andy Whitcroft <email address hidden> Mon, 09 May 2016 14:25:49 +0100

Changed in sbsigntool (Ubuntu Yakkety):
status: In Progress → Fix Released

Hello Andy, or anyone else affected,

Accepted sbsigntool into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sbsigntool/0.6-0ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sbsigntool (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Andy, or anyone else affected,

Accepted sbsigntool into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sbsigntool/0.6-0ubuntu10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sbsigntool (Ubuntu Xenial):
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Validated on trusty.

Changed in sbsigntool (Ubuntu Wily):
status: New → Fix Committed
Changed in sbsigntool (Ubuntu Precise):
status: New → Won't Fix
Changed in sbsigntool (Ubuntu Trusty):
importance: Undecided → High
Changed in sbsigntool (Ubuntu Wily):
importance: Undecided → Medium
Changed in sbsigntool (Ubuntu Xenial):
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
Changed in sbsigntool (Ubuntu Wily):
assignee: nobody → Andy Whitcroft (apw)
Changed in sbsigntool (Ubuntu Trusty):
assignee: nobody → Andy Whitcroft (apw)
tags: added: verification-done-trusty
Andy Whitcroft (apw) wrote :

Validated on xenial.

tags: added: verification-done-xenial
Chris J Arges (arges) wrote :

Hello Andy, or anyone else affected,

Accepted sbsigntool into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sbsigntool/0.6-0ubuntu8.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Validated on wily.

tags: added: verificiation-done-wily
Andy Whitcroft (apw) wrote :

All SRUs are validated. Marking done.

tags: added: verification-done
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbsigntool - 0.6-0ubuntu8.1

---------------
sbsigntool (0.6-0ubuntu8.1) wily; urgency=medium

  * debian/patches/ubuntu-kernel-module-signing.patch: add signing support
    programs for Ubuntu archive signing. (LP: #1579766)
  * debian/patches/ubuntu-kernel-module-signing-fixes.patch: add help
    and update program name. This is used to generate the new manual page.

 -- Andy Whitcroft <email address hidden> Tue, 17 May 2016 11:42:33 +0100

Changed in sbsigntool (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sbsigntool has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbsigntool - 0.6-0ubuntu10.1

---------------
sbsigntool (0.6-0ubuntu10.1) xenial; urgency=medium

  * debian/patches/ubuntu-kernel-module-signing.patch: add signing support
    programs for Ubuntu archive signing. (LP: #1579766)
  * debian/patches/ubuntu-kernel-module-signing-fixes.patch: add help
    and update program name. This is used to generate the new manual page.
  * src/image.c: ensure we zero image objects on allocation.

 -- Andy Whitcroft <email address hidden> Tue, 17 May 2016 11:52:18 +0100

Changed in sbsigntool (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sbsigntool - 0.6-0ubuntu7.1

---------------
sbsigntool (0.6-0ubuntu7.1) trusty; urgency=medium

  * debian/patches/ubuntu-kernel-module-signing.patch: add signing support
    programs for Ubuntu archive signing. (LP: #1579766)
  * debian/patches/ubuntu-kernel-module-signing-fixes.patch: add help
    and update program name. This is used to generate the new manual page.

 -- Andy Whitcroft <email address hidden> Mon, 09 May 2016 18:03:53 +0100

Changed in sbsigntool (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers